Bug 461284 - freenx (nxagent) segmentation fault when compiz is enabled
freenx (nxagent) segmentation fault when compiz is enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
9
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 12:08 EDT by Dawid Zamirski
Modified: 2009-07-14 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Zamirski 2008-09-05 12:08:16 EDT
Description of problem:

Connecting remotely with freenx fails when Compiz is enabled as current window manager.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1.  Enable Compiz with the Desktop Effects tool when working locally.
2.  Logout
3.  Connect with feenx client remotely.
  
Actual results:

The remote desktop session startup fails. Dmesg shows the following segmentation fault with nxagent: segfault at 18 ip 430a46 sp 7fff576999d0

Expected results:

Being able to login remotely with freenx client regardless of the fact that Compiz was enabled during the local session. Remote freenx session should always enforce Metacity or just work properly with Compiz enabled.

Additional info:

Disabling Compiz and setting Metacity as default window manager via SSH using gconftool-2 solves the problem:

gconftool-2 -s -t string /apps/gnome-session/rh/window_manager "metacity"

I don't have i386 machine available to test this issue with, but I doubt it's x86_64 arch specific problem.
Comment 1 Felix Kaechele 2008-10-04 10:06:52 EDT
This bug is also reproducable on a i386 Fedora 9 machine.

Versions:
freenx-server-0.7.3-11.fc9.i386
nx-3.2.0-30.fc9.i386
nxclient-3.2.0-14.i386
Comment 2 Bug Zapper 2009-06-09 22:37:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Edward Rudd 2009-06-25 11:02:04 EDT
I have not encountered this issue on Fedora 10 or 11 (x86_64).
though I am starting compiz via the fusion-icon application, and it "fails" gracefully and switches to metacity when I connect via freenx.
Comment 4 Bug Zapper 2009-07-14 10:02:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.